summaryrefslogtreecommitdiffstats
path: root/git/share/hooks/post-update.d/cgit-agefile
diff options
context:
space:
mode:
Diffstat (limited to 'git/share/hooks/post-update.d/cgit-agefile')
-rwxr-xr-xgit/share/hooks/post-update.d/cgit-agefile8
1 files changed, 8 insertions, 0 deletions
diff --git a/git/share/hooks/post-update.d/cgit-agefile b/git/share/hooks/post-update.d/cgit-agefile
new file mode 100755
index 0000000..cf95745
--- /dev/null
+++ b/git/share/hooks/post-update.d/cgit-agefile
@@ -0,0 +1,8 @@
+#!/bin/sh
+
+set -e
+
+agefile="$(git rev-parse --git-dir)"/info/web/last-modified
+
+mkdir -p "$(dirname "$agefile")"
+git for-each-ref --sort=-authordate --count=1 --format='%(authordate:iso8601)' >"$agefile"